VGNR C++: 
Vigenère Cipher Encryptor/Decryptor written in C/C++. 
------------------------------------

Code authors:
---------------------
Rodion "R.Beat" Grinberg (<admin@rbeat.gq>)

Final release date:
-----------------------
November 1st, 2020

Abstract
----------------------
!!! UNIVERSITY PROJECT !!!

This application allows user to encrypt/decrypt a text file with a "key" up to 15 characters in size.

It encrypts/decrypts only the following characters: 
A~Z, a~z, 0~9, !, ", #, $, %, &, ', (, ), *, +, , , -, ., /, :, ;, <, =, >, ?, @, [, \, ], ^, _, `, {, |, }, ~

This is a code written in non-Visual Studio C++ language.
This means, that it was compiled and tested on UNIX-like OS using G++ GNU compiler.

Term Paper (RUS/UKR)
----------------------
PDF:    https://drive.google.com/file/d/1rZijQL3r3N0PnrlZCHR_2J-LE5Zj-uyk/view?usp=sharing

Word:   https://drive.google.com/file/d/10RWMyHFp-rHLgK0cxNd0cWF_TYdypBj9/view?usp=sharing


Flowchart
----------------------
Made in draw.io app <http://draw.io>

drawio Format:      https://gitlab.com/r.beat/vgnr-cpp/-/blob/master/Flowchart.drawio

Hi-Res PNG Format:  https://gitlab.com/r.beat/vgnr-cpp/-/blob/master/Flowchart.png